> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlystar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add or remove data source from datastore knowledge corpus



## OpenAPI

````yaml api-reference/openapi-1.json put /api/v1/dataStore/{org_id}/dataStore/{dataStore_id}/dataSource/{dataSource_id}/removeOrAddDataSourceFromDataStoreKnowledgeCorpus
openapi: 3.0.1
info:
  title: '@fastify/swagger'
  version: 8.15.0
servers:
  - url: https://app.aptlystar.ai
security: []
paths:
  /api/v1/dataStore/{org_id}/dataStore/{dataStore_id}/dataSource/{dataSource_id}/removeOrAddDataSourceFromDataStoreKnowledgeCorpus:
    put:
      tags:
        - DataStore
      summary: Add or remove data source from datastore knowledge corpus
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
        - name: dataStore_id
          in: path
          required: true
          schema:
            type: string
        - name: dataSource_id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              required:
                - addToCourpusStatus
              type: object
              properties:
                addToCourpusStatus:
                  type: boolean
              additionalProperties: false
        required: false
      responses:
        '200':
          description: Default Response
          content: {}

````